Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7860/?format=api
{ "ob_id": 7860, "uuid": "b123d0cbcd185ee62c6945d4e92bd6fa", "title": "NCAVEO: LANDSAT7 ETM+ imagery of Chilbolton area", "abstract": "A satellite image taken by the LANDSAT 7 Enhanced Thematic Mapper Plus (ETM+) on the 12th May 2001 (source: Univ Maryland GLCF) has been resized to the study area of the 2006 Field Campaign of the Network for Calibration and Validation of EO data (NCAVEO) in Chilbolton. The image has been exported as geotiff using bands 4,5, and 3 as RGB and its projection converted from UTM to the British National Grid, cell size 28.5m x 28.5m. A image from the Landsat 5 Thematic Mapper has also been resized to the study area (see link to this data's record in linked documentation).", "keywords": "NCAVEO, LANDSAT7, ETM+, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2007-10-16T23:25:43", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12690/?format=api", "dataPath": "/neodc/ncaveo_field/data/Satellite_Images/ETM+", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 6969389, "numberOfFiles": 6, "fileFormat": "Image has been resized to the study area and exported as geotiff using bands 4,5 and 3 as RGB" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2253/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5106/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32396/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32401/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32395/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32398/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32399/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32400/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32402/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32397/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/7867/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }